diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
index 9607c67..0acf657 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
@@ -774,9 +774,9 @@ class ForeignServerView(PGChildNodeView):
                               conn=self.conn)
         sql += "\n"
 
-        sql_header = u"""-- Foreign Server: {0}
+        sql_header = u"""-- Foreign Server: "{0}"
 
--- DROP SERVER {0}
+-- DROP SERVER "{0}"
 
 """.format(res['rows'][0]['name'])
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
index fcec41f..d6c763c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
@@ -761,7 +761,7 @@ class UserMappingView(PGChildNodeView):
 
         sql_header = u"""-- User Mapping : {0}
 
--- DROP USER MAPPING FOR {0} SERVER {1}
+-- DROP USER MAPPING FOR {0} SERVER "{1}"
 
 """.format(res['rows'][0]['name'], fdw_data['name'])
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index e0ef0ae..00afd63 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -1053,7 +1053,7 @@ It may have been removed by another user.
         sql_header = u"""
 -- CATALOG: {0}
 
--- DROP SCHEMA {0};(
+-- DROP SCHEMA {0};
 
 """.format(old_data['name'])
 
